.main-banner {
    align-content: center;
    /* position: fixed; */
    top: 0;
    left: 0;
    right: 0;
    display: flex;
}

.navbar {
    background-color: #f62529;
    height: 44px;
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    z-index: 10000;
}

.navbarhis {
    background-color: cornflowerblue;
    height: 44px;
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    z-index: 10000;
}

.navbar-title {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center;
    line-height: 44px;
    font-size: 16px;
    font-weight: 500;
    color: white;
}



.image-title-bar {
    height: auto;
    background-color: darkgrey;
    text-align: center;
}

.image-title-bar-detail {
    z-index: 1;
    position: relative;
    max-width: 100%;
    object-fit: contain;
}

.search-bar {
    height: 44px;
    position: relative;
    top: 10px;
    left: 0;
    right: 0;
    z-index: 1;
    background: darkgrey url(image/search3.png) no-repeat 1px 5px;
}

.search-input-text {
    height: 44px;
    position: absolute;
    top: 0px;
    left: 40px;
    right: 0;
    font-size: 18px;
    background-color: darkgrey;
    border: none;
}

.navbar-close {
    position: absolute;
    right: 0;
    top: 0;
    width: 44px;
    height: 44px;
    cursor: pointer;
}

.navbar-close {
    background-image: url(image/navbarback.png);
    background-size: 16px 16px;
    background-position: 14px 14px;
    background-repeat: no-repeat;
}

.navbar-back {
    position: absolute;
    left: 0;
    top: 0;
    width: 44px;
    height: 44px;
    cursor: pointer;
}

.navbar-back {
    background-image: url(image/navbarback.png);
    background-size: 9px 16px;
    background-position-x: 17px;
    background-repeat: no-repeat;
    background-position-y: center;
}

.sku-product-header > .sku-product-slider div {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

    .sku-product-header > .sku-product-slider div img {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }

.productlist-products {
    /* margin: 0px 18px; */
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 12px;
    padding-bottom: 12px;
}

    .productlist-products:first-child {
        margin-top: 20px;
    }

.tab-content > .productlist-products {
    margin-top: 20px;
}

.productlist-product, .productlist-products > a {
    background: white;
    border-radius: 4px;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.09);
    position: relative;
}

    .productlist-products > a > .productlist-product {
        border: none;
        box-shadow: none;
    }

.productlist-product-image {
    overflow: hidden;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    margin-bottom: 4px;
    padding-top: 56.79%;
    position: relative;
    overflow: hidden;
}

    .productlist-product-image > img {
        min-width: 100%;
        max-width: 100%;
        min-height: 100%;
        max-height: 100%;
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        object-fit: contain;
    }

.productlist-product-data {
    font-size: 12px;
    margin: 8px 8px 0px;
    line-height: 17px;
    letter-spacing: 0.5px;
    padding-bottom: 30px;
}

.productlist-product-data-title {
    text-align: -webkit-left;
    height: 36px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* autoprefixer: off */
    -webkit-box-orient: vertical;
    /* autoprefixer: on */
}

/* If the screen size is 375px wide or less, set the max-width of title to 10em */
@media screen and (max-width: 375px) {
    .productlist-product-data-title > size {
        max-width: 10em;
    }
}

/* If the screen size is 376px wide or more, not set max-width */
@media screen and (min-width: 376px) {
    .productlist-product-data-title > size2 {
        max-width: 0em;
    }
}


.productlist-product-data-price {
    position: absolute;
    bottom: 0;
    left: 0;
    margin: 6px 8px 10px;
    font-size: 17px;
    font-weight: bold;
    line-height: 0.88;
}

.productlist-product-data-price-previous {
    position: absolute;
    bottom: 0;
    right: 0;
    margin: 6px 8px 8px;
    font-size: 11px;
    line-height: 1.42;
    letter-spacing: 0.5px;
    color: #999999;
    text-decoration: line-through;
}

.productlist-product-data-price.--red {
    color: #f62529;
    font-size: 15px;
}

.productlist-products.productlist-products--sku .productlist-product .productlist-product-image {
    padding-top: 100%;
    background: #f9f9f9;
}

    .productlist-products.productlist-products--sku .productlist-product .productlist-product-image > img {
        object-fit: fill;
    }

.productlist-products.productlist-products--sku .productlist-product-data-price {
    letter-spacing: -0.5px;
}

.productlist-products.productlist-products--sku .productlist-product-data-price-previous {
    letter-spacing: -0.22px;
}

.sku-product-header {
    width: 100%;
    padding-top: 100%;
    background: #cccccc;
    position: relative;
    overflow: hidden;
}

    .sku-product-header .bx-wrapper {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }

.sku-product-slider {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.sku-product-header > .sku-product-slider div {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

    .sku-product-header > .sku-product-slider div img {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }

.sku-product-data {
    padding: 20px 20px 20px;
    border-bottom: 1px solid #ebebeb;
    overflow: hidden;
}

.sku-product-title {
    font-size: 25px;
    font-weight: bold;
    letter-spacing: -0.22px;
}

.sku-product-subtitle {
    font-size: 13px;
    letter-spacing: -0.26px;
    line-height: 37px;
}

.sku-product-price {
    font-size: 24px;
    letter-spacing: -0.48px;
}

    .sku-product-price.--red {
        font-weight: bold;
        font-size: 24px;
        letter-spacing: -0.48px;
        color: #f62529;
    }

.sku-product-price-discount {
    font-weight: normal;
    font-size: 10px;
    letter-spacing: -0.29px;
    background-color: #ebebeb;
    padding: 0px 6px;
    color: #3a3433;
    position: relative;
    top: -4px;
}


.sku-product-price-previous {
    font-weight: normal;
    font-size: 13px;
    color: #999999;
    text-decoration: line-through;
    margin-left: 8px;
}

.sku-product-options-title {
    float: left;
    font-size: 14px;
    color: #999999;
}

.sku-product-options-subtitle {
    float: left;
    clear: left;
    font-size: 10px;
    color: #999999;
}


.sku-product-options-detail {
    float: right;
    margin-right: 26px;
    font-size: 14px;
    font-weight: 500;
}

.sku-product-detail {
    padding: 20px;
}

    .sku-product-detail.--collapse {
        max-height: 167px;
        overflow: hidden;
    }

.sku-product-detail-title {
    font-weight: bold;
    font-size: 17px;
    margin-bottom: 8px;
}

.sku-product-detail-content {
    font-size: 14px;
    line-height: 24px;
    color: #000000;
}

    .sku-product-detail-content strong {
        font-weight: 500;
    }

.sku-home-header {
    font-size: 13px;
    margin: 15px 20px 10px;
    letter-spacing: -0.15px;
    position: relative;
}

.sku-home-header-title {
    font-weight: 1000;
}

@media(max-width: 800px) {
    .productlist-products {
        grid-template-columns: repeat(3,1fr);
    }
}

@media(max-width: 500px) {
    .productlist-products {
        grid-template-columns: repeat(2,1fr);
    }
}

@media(max-width: 250px) {
    .productlist-products {
        grid-template-columns: repeat(1,1fr);
    }
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: black;
    opacity: 1;
    font-weight: bold;
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: black;
    font-weight: bold;
}

::-ms-input-placeholder { /* Microsoft Edge */
    color: black;
    font-weight: bold;
}

/* Create two equal columns that floats next to each other */
.column {
    float: left;
    width: 50%;
    padding: 10px;
}

.layout-bar {
    height: 44px;
    position: relative;
    top: 20px;
    left: 0;
    right: 0;
    z-index: 10000;
}

.layout-title-bar {
    float: left;
    padding: 12px 16px;
}

/* Clear floats after the columns */
.row:after {
    content: "";
    display: table;
    clear: both;
}
/* Style the buttons */
.btn {
    border: none;
    outline: none;
    padding: 12px 16px;
    background-color: #f1f1f1;
    cursor: pointer;
    right: 5px;
    float: right;
}

    .btn:hover {
        background-color: #ddd;
    }

    .btn.active {
        background-color: #666;
        color: white;
    }

.item-list {
    position: relative;
    height: 155px;
    width: 100%;
    background-color: white;
    top: 35px;
    margin-bottom: 20px;
    border: solid;
    border-color: lightgray;
}

.item-list-img {
    position: absolute;
    background-color: white;
    left: 0px;
    height: 150px;
}

    .item-list-img > img {
        min-width: 100%;
        max-width: 100%;
        min-height: 100%;
        max-height: 100%;
        object-fit: contain;
    }

.item-list-details {
    position: absolute;
    background-color: white;
    width: auto;
    left: 200px;
    top: 35px;
}

.item-list-details-text {
    position: relative;
    font-size: 18px;
    text-align: start;
    text-overflow: ellipsis;
    overflow: hidden;
    text-decoration: none;
    white-space: nowrap;
}

.item-list-details-text-bold {
    font-weight: bold;
    font-size: 20px;
    padding: 0;
    overflow: hidden;
    position: relative;
    text-align: start;
    text-decoration: none;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #000;
}

.item-grid {
    position: relative;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-row-gap: 10px;
    grid-column-gap:10px;
    width: 100%;
    top: 35px;
    text-align: left;
    padding:10px;
}

.item-grid-broder {
    border: solid;
    border-color: lightgray;
}

    .item-grid-img {
        margin: 10px;
        height: 200px;
    }

    .item-grid-img > img {
        min-width: 100%;
        max-width: 100%;
        min-height: 200px;
        max-height: 30px;
        object-fit: contain;
    }

.item-grid-details-text-bold {
    margin: 10px;
    font-weight: bold;
    font-size: 20px;
    text-align: start;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    max-width:450px;
    min-width:30px;
}

.item-grid-details-text {
    margin: 10px;
    font-size: 18px;
    text-align: start;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    max-width: 450px;
    min-width: 30px;
}

.search-no-data {
    position: relative;
    top: 35px;
    width: 100%;
    text-align:center;
    font-size:30px;
    font-weight:bold;

}

.Loader {
    position: fixed;
    left: 0px;
    top: 50%;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    text-align: center;
    justify-content: center;
    background-color:lightgrey;
    opacity:0.4;
}
    .Loader > img {
        min-width: 100%;
        max-width: 100%;
        max-height:100px;
        min-height:50px;
        object-fit: contain;
    }


    @media(max-width: 1390px) {
        .item-grid-details-text {
        width: calc(80px + 80vw - 800px) !important;
    }

    .item-grid-details-text-bold {
        width: calc(80px + 80vw - 800px) !important;
    }
}

@media(max-width: 1024px) {
    .item-list-details-text {
        width: calc(250px + 100vw - 500px) !important;
    }

    .item-list-details-text-bold {
        width: calc(250px + 100vw - 500px) !important;
    }

    .item-grid-details-text {
        width: calc(80px + 80vw - 600px) !important;
    }

    .item-grid-details-text-bold {
        width: calc(80px + 80vw - 600px) !important;
    }
}

@media(max-width: 800px) {
    .item-list-details-text {
        width: calc(250px + 100vw - 500px) !important;
    }

    .item-list-details-text-bold {
        width: calc(250px + 100vw - 500px) !important;
    }

    .item-grid-details-text {
        width: calc(65px + 100vw - 480px) !important;
    }

    .item-grid-details-text-bold {
        width: calc(65px + 100vw - 480px) !important;
    }

    .item-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media(max-width: 450px) {
    .item-grid-details-text {
        width: calc(30px + 100vw - 300px) !important;
    }

    .item-grid-details-text-bold {
        width: calc(30px + 100vw - 300px) !important;
    }
}

@media(max-width: 300px) {
    .item-grid-details-text {
        width: calc(30px + 100vw - 200px) !important;
    }
    .item-grid-details-text-bold {
        width: calc(30px + 100vw - 200px) !important;
    }
}
